

#ifndef PORYGONLANG_BOUNDVARIABLE_HPP
#define PORYGONLANG_BOUNDVARIABLE_HPP

#include <utility>
#include <memory>
#include "../../ScriptTypes/ScriptType.hpp"

using namespace std;

namespace Porygon::Binder {
    class BoundVariable {
        std::shared_ptr<const ScriptType> _type;
    public:
        inline explicit BoundVariable(std::shared_ptr<const ScriptType> type) : _type(std::move(type)) {
        }

        inline std::shared_ptr<const ScriptType> GetType() {
            return _type;
        }
    };
}

#endif //PORYGONLANG_BOUNDVARIABLE_HPP
